%=================================================================================================
%                                       convolutional  Encoder
%
%   1. Constraint Length = mm = 7
%       a. g0 = 133 (octal) [1 0 1 1 0 1 1] : y1(n) = x(n) + x(n-2) + x(n-3) + x(n-4) + x(n-5) 
%       b. g1 = 171 (octal) [1 1 1 1 0 0 1] : y2(n) = x(n) + x(n-1) + x(n-2) + x(n-3) + x(n-5) 
%   2. Constraint Length = mm = 5
%       a. g0 = 23 (octal) [1 0 0 1 1] : y1(n) = x(n) + x(n-3) + x(n-4)
%       b. g1 = 35 (octal) [1 1 1 0 1] : y2(n) = x(n) + x(n-1) + x(n-2) + x(n-4)
%   1. Constraint Length = mm = 4
%       a. g0 = 15 (octal) [1 1 0 1] : y1(n) = x(n) + x(n-1) + x(n-3)
%       b. g1 = 17 (octal) [1 1 1 1] : y2(n) = x(n) + x(n-1) + x(n-2) + x(n-3)
%   1. Constraint Length = mm = 4
%       a. g0 = 5 (octal) [1 0 1] : y1(n) = x(n) + x(n-2)
%       b. g1 = 7 (octal) [1 1 1] : y2(n) = x(n) + x(n-1) + x(n-2)
%=================================================================================================
%Authors    : Ismail Lakkis
%Company    : Wideband Access
%Date       : July 12, 2005
%Verison    : 1
%=================================================================================================


%function wbaConvEnc
%===================
function [encodedBits] = wbaConvEnc(inputBits,genPoly)

%convolutional encoder
for i = 1:2,encodedBits(i,:) = mod(conv(genPoly(i,:),inputBits),2);end;
%truncate and reshape z
encodedBits  = reshape(encodedBits(:,1:length(inputBits)),1,2*length(inputBits));

return;